# SimpleMapperImpl

class SimpleMapperImpl < T1 , T2 >(t1: ( T2 ) -> T1 , t2: ( T1 ) -> T2 ) : SimpleMapper < T1 , T2 > (source)

Implementation of SimpleMapper that uses lambda functions for conversion.

#### Parameters

t1

Function to convert from T2 to T1

t2

Function to convert from T1 to T2

#### Type Parameters

T1

The first type

T2

The second type

## Constructors

SimpleMapperImpl
Link copied to clipboard
constructor(t1: ( T2 ) -> T1 , t2: ( T1 ) -> T2 )

## Functions

convert
Link copied to clipboard
@ JvmName (name = "convertFromT2")
fun < T1 , T2 > SimpleMapper < T1 , T2 >. convert (from: T2 ): T1

Converts from of type T2 to type T1 using this mapper.

@ JvmName (name = "convertFromT1")
fun < T1 , T2 > SimpleMapper < T1 , T2 >. convert (from: T1 ): T2

Converts from of type T1 to type T2 using this mapper.

convertToT1
Link copied to clipboard
open override fun convertToT1 (from: T2 ): T1
convertToT2
Link copied to clipboard
open override fun convertToT2 (from: T1 ): T2